{
  "criteria": {
    "1": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "items": [
          {
            "items": [
              "minecraft:potion"
            ],
            "count": {
              "min": 1,
              "max": 64
            },
            "components": {
              "minecraft:potion_contents": {
                "potion": "minecraft:water"
              }
            }
          }
        ]
      }
    }
  },
  "rewards": {
    "function": "koncept.bingo:bingo/advancement/potion_water"
  }
}